com.google.web.bindery.requestfactory.apt

## Class Finder

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,P>
  - - javax.lang.model.util.ElementScanner6<R,State>
    - - com.google.web.bindery.requestfactory.apt.ScannerBase<java.lang.Void>
      - - com.google.web.bindery.requestfactory.apt.Finder

All Implemented Interfaces:
  javax.lang.model.element.ElementVisitor<java.lang.Void,State>

    class Finder
    extends ScannerBase<java.lang.Void>

Looks for all types assignable to `RequestFactory` and adds them to the output state. This is necessary to support factory types declared as inner classes.

### Field Summary

### Fields inherited from class javax.lang.model.util.ElementScanner6

`DEFAULT_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`Finder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Void` `visitType(javax.lang.model.element.TypeElement x, State state)`

### Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase

`isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, shouldIgnore, viewIn`

### Methods inherited from class javax.lang.model.util.ElementScanner6

`scan, scan, visitExecutable, visitPackage, visitTypeParameter, visitVariable`

### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

`visit, visit, visitUnknown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Finder

    Finder()

### Method Detail

#### visitType

    public java.lang.Void visitType(javax.lang.model.element.TypeElement x,
                                    State state)

Specified by:
  `visitType` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
Overrides:
  `visitType` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`